summaryrefslogtreecommitdiffstats
path: root/perl/.svn/text-base/build.svn-base
diff options
context:
space:
mode:
authorBrian Cully <bjc@kublai.com>2008-04-14 21:52:55 -0400
committerBrian Cully <github.20.shmit@spamgourmet.com>2008-04-14 21:52:55 -0400
commit6ba98a9f9f48e13738d9736cba9c45b5e94f42f2 (patch)
tree86d7c281bcdbf67eb53cee064aa905e740ec5ccf /perl/.svn/text-base/build.svn-base
downloadnastd-6ba98a9f9f48e13738d9736cba9c45b5e94f42f2.tar.gz
nastd-6ba98a9f9f48e13738d9736cba9c45b5e94f42f2.zip
Initial import
Diffstat (limited to 'perl/.svn/text-base/build.svn-base')
-rw-r--r--perl/.svn/text-base/build.svn-base28
1 files changed, 28 insertions, 0 deletions
diff --git a/perl/.svn/text-base/build.svn-base b/perl/.svn/text-base/build.svn-base
new file mode 100644
index 0000000..123a249
--- /dev/null
+++ b/perl/.svn/text-base/build.svn-base
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# $Id: build,v 1.2 2000/05/16 19:27:05 shmit Exp $
+
+if [ $# -lt 2 ]; then
+ echo "Usage: $0 makecmd perlflag args" 2>&1
+ exit 1
+fi
+
+# Grab the make command
+make=$1 && shift 1
+
+# Should perl support be built?
+perlflag=$1 && shift 1
+
+if [ x"$perlflag" != x"YES" ]; then
+ echo "Perl support not enabled. Edit Makefiles/config to enable it."
+ exit 0
+fi
+
+if [ \! -f Makefile ]; then
+ #
+ # Build the Makefile
+ #
+ /usr/bin/env perl Makefile.PL
+fi
+
+$make MAKE=$make $*